Back to top

Autore Topic: [RISOLTO]Linky Map | Errore Invalid row index NaN. Should be in the range [xxx]  (Letto 952 volte)

Offline nofc_nofc

  • Appassionato
  • ***
  • Post: 255
    • Mostra profilo
Ciao a tutti,ho un vecchio sito che utilizza questo componente per creare le mappe: https://www.joomunited.com/products/linky-mapDa qualche giorno, le mappe non vengono più visualizzate poiché ottengo come errore fisso Invalid row index NaN. Should be in the range [xxx].Essendo il plugin scaduto, non posso comunicare con il reparto tecnico dello sviluppatore previo nuovo acquisto.Vorrei sapere se qualcuno ha avuto una simile problematica :)Grazie anticipatamente
« Ultima modifica: 27 Apr 2021, 09:17:44 da nofc_nofc »

Offline tomtomeight

  • Global Moderator
  • Fuori controllo
  • ********
  • Post: 32042
  • Sesso: Maschio
  • Gli automatismi aiutano ma non insegnano nulla.
    • Mostra profilo
Perché per inserire una mappa utilizzate plugin moduli e o accrocchi vari quando basta includere il codice embedded che google mette a disposizione? A meno di casi particolarissimi ove serve una interazione, è la soluzione migliore.

Offline nofc_nofc

  • Appassionato
  • ***
  • Post: 255
    • Mostra profilo
Ciao,sì questo è un caso particolare: il plugin ha delle caratteristiche diverse da un embedded.Negli altri siti più standard infatti non lo uso :)

Offline regexaurus

  • Nuovo arrivato
  • *
  • Post: 1
    • Mostra profilo
Hi,

I'm sorry I don't speak or write Italian, but hopefully this is helpful to you. I encountered the same problem and discovered a workaround. In the files (where site_root is the root directory for your Joomla installation):

site_root/components/com_linkymap/helpers/linkymap.php
site_root/administrator/components/com_linkymap/assets/js/linkymap.php


look for calls that start with google.charts.load ('current', ... and replace current with 49, so the calls look like google.charts.load ('49 ', ...

Also, delete the directory
site_root/cache/mod_linkymap


Reload the page (s) where you saw the error, and the Linky Map module should load normally. We have an active subscription to Linky Map, so I reached out to JoomUnited to report the problem, which appears to be related to a recent (April) update to the Google Visualization API. The changes above will load a specific (the previous) version (49) of the Visualization API. https://developers.google.com/chart/interactive/docs/release_notes#official-releases
« Ultima modifica: 27 Apr 2021, 06:39:49 da regexaurus »

Offline nofc_nofc

  • Appassionato
  • ***
  • Post: 255
    • Mostra profilo
Grazie per la risposta. Avevo comunque contattato lo sviluppatore che gentilmente aveva corretto l'errore :)

Offline tomtomeight

  • Global Moderator
  • Fuori controllo
  • ********
  • Post: 32042
  • Sesso: Maschio
  • Gli automatismi aiutano ma non insegnano nulla.
    • Mostra profilo
Scusa ma il risolto va messo all'inizio, per essere subito visibile nei risultati di ricerca, messo alla fine non serve. Grazie se gentilmente vorrai correggere.

 



Web Design Bolzano Kreatif